Package ghidra.app.util.viewer.listingpanel

# Class ListingComparisonProvider

java.lang.Object
docking.ComponentProvider
ghidra.framework.plugintool.ComponentProviderAdapter
ghidra.app.util.viewer.listingpanel.ListingComparisonProvider

All Implemented Interfaces:
  `ActionContextProvider`, `HelpDescriptor`

public class ListingComparisonProvider extends ComponentProviderAdapter
Provider for displaying a ListingCodeComparisonPanel.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `tool`

  ### Fields inherited from class docking.ComponentProvider

  `DEFAULT_WINDOW_GROUP, dockingTool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingComparisonProvider(PluginTool tool, String name, Program p1, Program p2, AddressSetView set1, AddressSetView set2)`
  Constructor for a provider that can display a ListingCodeComparisonPanel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListingCodeComparisonPanel`
  `getComponent()`
  Returns the component to be displayed

  ### Methods inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `getTool`

  ### Methods inherited from class docking.ComponentProvider

  `addLocalAction, addToTool, addToToolbar, adjustFontSize, canBeParent, closeComponent, componentActivated, componentDeactived, componentHidden, componentShown, contextChanged, createContext, createContext, createContext, getActionContext, getContextType, getDefaultWindowPosition, getHelpInfo, getHelpLocation, getHelpObject, getIcon, getInstanceID, getIntraGroupPosition, getMappedName, getMappedOwner, getName, getOwner, getSubTitle, getTabText, getTitle, getWindowGroup, getWindowSubMenuName, initializeInstanceID, isActive, isFocusedProvider, isInTool, isSnapshot, isTransient, isVisible, registerAdjustableFontId, registerProviderNameOwnerChange, removeAllLocalActions, removeFromTool, removeLocalAction, requestFocus, resetFontSize, setDefaultWindowPosition, setHelpLocation, setIcon, setIntraGroupPosition, setKeyBinding, setSubTitle, setTabText, setTitle, setTransient, setVisible, setWindowGroup, setWindowMenuGroup, toFront, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListingComparisonProvider

    public ListingComparisonProvider(PluginTool tool, String name, Program p1, Program p2, AddressSetView set1, AddressSetView set2)
    Constructor for a provider that can display a ListingCodeComparisonPanel.
    Parameters:
      `tool` - the tool that contains this provider.
      `name` - the owner of this provider, which is usually a plugin name.
      `p1` - program for the listing displayed in the left side of the panel.
      `p2` - program for the listing displayed in the right side of the panel.
      `set1` - the address set indicating the portion of the listing displayed in the left side of the panel.
      `set2` - the address set indicating the portion of the listing displayed in the right side of the panel.

- ## Method Details

  - ### getComponent

    public ListingCodeComparisonPanel getComponent()
    Description copied from class: `ComponentProvider`
    Returns the component to be displayed
    Specified by:
      `getComponent` in class `ComponentProvider`
    Returns:
      the component to be displayed